SmithWaterman< maxReadLengthH, maxReferenceLengthH, HCellType, Atype, Btype, QualityType, readIndexType, referenceIndexType > Class Template Reference
Collaboration diagram for SmithWaterman< maxReadLengthH, maxReferenceLengthH, HCellType, Atype, Btype, QualityType, readIndexType, referenceIndexType >:
[legend]

## Classes

struct | weight

## Public Member Functions

void | clearAlignment ()
void | clear ()
| SmithWaterman (Atype *A, QualityType *qualities, Btype *B, int m, int n, int allowedInsertDelete=INT_MAX, int direction=1, readIndexType MOffset=0, referenceIndexType NOffset=0)
void | setRead (Atype *A)
void | setReadQuality (QualityType *qualities)
void | setReference (Btype *B)
void | setReadLength (int m)
void | setReadOffset (readIndexType MOffset)
void | setReferenceLength (int n)
void | setReferenceOffset (referenceIndexType NOffset)
void | setAllowedInsertDelete (int allowedInsertDelete=INT_MAX)
void | setDirection (int direction)
void | clearH ()
void | populateH ()
void | printH (bool prettyPrint=true)
void | debugPrint (bool doPrintH=true)
void | populateAlignment ()
int | getSumQ ()
int | getSumQForward ()
int | getSumQBackward ()
void | rollCigarForward (CigarRoller &cigar)
void | rollCigarBackward (CigarRoller &cigar)
int | getSoftClipCount ()
void | rollCigar (CigarRoller &cigar)
bool | localAlignment (uint32_t bandSize, Atype &read, readIndexType readLength, QualityType &quality, Btype &reference, referenceIndexType referenceLength, referenceIndexType referenceOffset, CigarRoller &cigarRoller, uint32_t &softClipCount, referenceIndexType &cigarStartingPoint, int &sumQ)

## Public Attributes

HCellType | H [maxReadLengthH][maxReferenceLengthH]
Atype * | A
Btype * | B
QualityType * | qualities
int | m
int | n
readIndexType | MOffset
referenceIndexType | NOffset
weight | w
int | allowedInsertDelete
int | direction
int | gapOpenCount
int | gapCloseCount
int | gapExtendCount
vector< pair< int, int > > | alignment
HCellType | maxCostValue
pair< int, int > | maxCostPosition

## Detailed Description

### template<int maxReadLengthH, int maxReferenceLengthH, typename HCellType, typename Atype, typename Btype, typename QualityType, typename readIndexType, typename referenceIndexType>
class SmithWaterman< maxReadLengthH, maxReferenceLengthH, HCellType, Atype, Btype, QualityType, readIndexType, referenceIndexType >

Definition at line 127 of file SmithWaterman.h.

The documentation for this class was generated from the following file:

- general/SmithWaterman.h